Bug 1590690 - dnf -q is not quiet
Summary: dnf -q is not quiet
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 27
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-13 08:34 UTC by Nigel Arnot
Modified: 2018-10-22 16:13 UTC (History)
7 users (show)

Fixed In Version: dnf-4.0.4-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-22 16:13:25 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nigel Arnot 2018-06-13 08:34:43 UTC
Description of problem:
dnf -q is not quiet in some circumstances


Version-Release number of selected component (if applicable):
2.7.5-2.fc27


How reproducible:
seems to be 100%


Steps to Reproduce:
1. dnf -y -q install smem
2. dnf -y -q erase smem
3. (reverse order if smem is already installed)

Actual results:
# dnf -y -q erase smem
Running as unit: run-r8fc8d1e2043e4b719c186ade7dce8fb8.service
# dnf -y -q install  smem
Running as unit: run-rd0a5152a0f444b1baea3f5103ef9420b.service


Expected results:
# dnf -y -q erase smem
# dnf -y -q install  smem


Additional info:

It's not just smem. I have encountered this also with gerbv and ruby. smem is the smallest package  with least deps.

It seems likely that in some circumstances this is related to an install exiting with a failure (nonzero) status when it apparently succeeded. I encountered this bug while trying to establish why some scripted package installs were being reported as failures. However, I have not been able to reproduce this latter problem.

Comment 1 Jaroslav Mracek 2018-09-26 20:55:30 UTC
I created patch that should enhance the behavior (https://github.com/rpm-software-management/dnf/pull/1224)

Comment 2 Fedora Update System 2018-10-15 12:29:03 UTC
dnf-plugins-core-4.0.0-1.fc29 dnf-4.0.4-1.fc29 libdnf-0.22.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 3 Fedora Update System 2018-10-15 18:23:32 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-1.fc29, libdnf-0.22.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 4 Fedora Update System 2018-10-17 13:02:04 UTC
dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 5 Fedora Update System 2018-10-17 23:30:57 UTC
dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libdnf-0.22.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 6 Fedora Update System 2018-10-18 14:06:51 UTC
anaconda-29.24.6-1.fc29 dnf-4.0.4-1.fc29 dnf-plugins-core-4.0.0-2.fc29 libblockdev-2.20-2.fc29 libdnf-0.22.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 7 Fedora Update System 2018-10-20 19:22:27 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2789f6b6e7

Comment 8 Fedora Update System 2018-10-22 16:13:25 UTC
anaconda-29.24.7-1.fc29, dnf-4.0.4-1.fc29, dnf-plugins-core-4.0.0-2.fc29, libblockdev-2.20-2.fc29, libdnf-0.22.0-5.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.